#68 Enable merge and hash JOINs for data-node scans

V.1.1
closed
5
2015-06-01
2012-06-13
No

If the relations being JOINed are evaluated on the data-nodes, we currently use the nested loop join. Nested loop join is expensive as it involves rescans and rescans need materialization. Hence, enable merge and hash joins for such relations and push down the required operations like Sort required for these joins.

Related

Feature Requests: #68

Discussion

  • Ashutosh Bapat

    Ashutosh Bapat - 2012-09-04

    Partially fixed by 5f534780fcd616c0df4092f7b4bc09c5321d8e3f and 0c99b9b71eff391af867977dc0913e55b2020f37.

    These two commits enable the use of hash and merge joins but pushing the sorting operation to datanodes is not implemented yet.

     
  • Koichi Suzuki

    Koichi Suzuki - 2012-09-11

    Q3

     
  • Koichi Suzuki

    Koichi Suzuki - 2015-06-01

    Done

     
  • Koichi Suzuki

    Koichi Suzuki - 2015-06-01
    • status: open --> closed
     
    • Ashutosh Bapat

      Ashutosh Bapat - 2015-06-01

      Thanks Suzuki-san for closing this. The feature was implemented long back,
      but the request wasn't closed.

      On Mon, Jun 1, 2015 at 12:08 PM, Koichi Suzuki koichi-szk@users.sf.net
      wrote:

      • status: open --> closed

      Status: closed
      Group: V.1.1
      Labels: Coordinator
      Created: Wed Jun 13, 2012 04:49 AM UTC by Ashutosh Bapat
      Last Updated: Mon Jun 01, 2015 06:36 AM UTC
      Owner: Ashutosh Bapat

      If the relations being JOINed are evaluated on the data-nodes, we
      currently use the nested loop join. Nested loop join is expensive as it
      involves rescans and rescans need materialization. Hence, enable merge and
      hash joins for such relations and push down the required operations like
      Sort required for these joins.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/postgres-xc/feature-requests/68/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

      --
      Best Wishes,
      Ashutosh Bapat
      EnterpriseDB Corporation
      The Postgres Database Company

       

      Related

      Feature Requests: #68


Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks